> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topmediai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Clone Voices List

> Gets a list of all cloned voices for you



## OpenAPI

````yaml https://api.topmediai.com/topmediai_api.json get /v1/clone_voices_list
openapi: 3.1.0
info:
  title: Topmediai API Documentation
  description: >-
    This is the documentation for the Topmediai API. You can use this API to use
    our service programmatically, this is done by using your x-api-key. You can
    get your x-api-key by request our Get API Key Web page on
    https://www.topmediai.com/api/text-to-speech-api/. Our API is experimental
    so all endpoints are subject to change.
  version: 1.0.0
servers:
  - url: https://api.topmediai.com
security: []
paths:
  /v1/clone_voices_list:
    get:
      tags:
        - Clone-Voice
      summary: Get Clone Voices List
      description: Gets a list of all cloned voices for you
      operationId: get_clone_voices_list_v1_clone_voices_list_get
      parameters:
        - name: name
          in: query
          required: false
          schema:
            type: string
            description: Fuzzy matching with voice's name
            title: Name
          description: Fuzzy matching with voice's name
        - name: x-api-key
          in: header
          required: false
          schema:
            type: string
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIVoiceCloneInfoResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    APIVoiceCloneInfoResponse:
      properties:
        clone_voices:
          items:
            $ref: '#/components/schemas/VoiceCloneInfoSchemas'
          type: array
          title: Clone Voices
      type: object
      required:
        - clone_voices
      title: APIVoiceCloneInfoResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VoiceCloneInfoSchemas:
      properties:
        name:
          type: string
          title: Name
        speaker:
          type: string
          title: Speaker
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          exclude_unset: true
        files:
          items:
            type: string
          type: array
          title: Files
        model:
          type: string
          title: Model
      type: object
      required:
        - name
        - speaker
        - files
        - model
      title: VoiceCloneInfoSchemas
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````